﻿using System;

namespace Correo.Extensions
{
    internal static class DataTypeExtensions
    {
        public static bool EqualsIgnoreCase(this string value1, string value2)
            => value1.Equals(value2, StringComparison.InvariantCultureIgnoreCase);

        public static string Nullify(this string value)
            => string.IsNullOrWhiteSpace(value) ? null : value;

        public static bool NotEmpty(this string value) => !string.IsNullOrWhiteSpace(value);
    }
}
