﻿using Correo.Abstractions;
using Correo.Domain.Models;

namespace Correo.Application.Extensions
{
    internal static class ModelExtensions
    {
        public static void Enrich(this EmailMessage emailMessage, DefaultSender defaultSender)
        {
            if (emailMessage.From == null)
                emailMessage.From = new EmailMessage.MailAddress(defaultSender.Address, defaultSender.Name);
        }
    }
}
