﻿using Correo.Abstractions;
using Correo.Mailgun.Models;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;

namespace Correo.Mailgun
{
    public static class DependencyInjectionExtensions
    {
        public static void AddMailgunService(this IServiceCollection services, IConfigurationSection configuration)
        {
            services.Configure<MailgunOptions>(configuration);
            services.AddTransient<IMailer, MailgunService>();
        }
    }
}